# Poco

# template < class TKey >

# class ValidArgs

Library: Foundation
Package: Cache
Header: Poco/ValidArgs.h

## Member Summary

Member Functions: invalidate, isValid, key

## Constructors

### ValidArgs

ValidArgs(
const TKey & key
);

### ValidArgs

ValidArgs(
const ValidArgs & args
);

## Destructor

### ~ValidArgs

~ValidArgs();

## Member Functions

### invalidate

void invalidate();

### isValid

bool isValid() const;

### key

const TKey & key() const;

## Variables

### _isValid

bool _isValid;

### _key

const TKey & _key;